1. iliyan iliev
  2. PowerBuilder
  3. Monday, 15 October 2018

When i try test connection send me red error - The type initializer for 'ibm.data.informix.ifxconnection' threw an exception

Read This -

"This can also happen if your informix client DLL version number is mildly different from the reference you have in Visual Studio and even if you set that reference's "Specific Version" property to false."

And this - AEM use 2.90.6.1 and i use i GAC 10.1.2.4 !

It's possible to upgrade dll in AEM ?!

Chris Pollach Accepted Answer Pending Moderation
0
Votes
Undo

Hi Ilyan;

   PowerServer needs a 64 bit driver. The AEM documentation states v2.9 or higher. The current Informix driver in the IBM SDK states v3.7. Have you tried PS (AEM) with the latest driver?

Regards ... Chris

Comment
have I correctly understood - PB 2017 work with informix 32 bit driver , AEM works with informix 64 bit driver ?

do I need to install ibm informix sdk 64 bit ?!
  1. iliyan iliev
  2. Tuesday, 16 October 2018
I believe so from my quick Googling around. Searching for the Informix 64bit driver always seems to lead me back to downloading the SDK.
  1. Chris Pollach
  2. Tuesday, 16 October 2018
There are no comments made yet.
  1. Monday, 15 October 2018
  2. PowerBuilder
  3. # 1
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.